%define oname Regina-REXX

%define major 3

%define libname		%mklibname regina %major
%define develname	%mklibname regina -d 

Name: regina
Version: 3.7
Release: %mkrel 1
Summary: Regina Rexx Interpreter binaries, language files and sample programs.
URL: http://regina-rexx.sourceforge.net
Group:   Development/Other
Source: %{oname}-%{version}.tar.xz
License: GPLv2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Provides: %{name}-%{version}
Requires: %{libname}


%description
Regina is an implementation of a Rexx interpreter, compliant with
the ANSI Standard for Rexx (1996). It is also available on several other
operating systems.


%package -n %{libname}
Provides: %{libname}-%{version}
Group: System/Libraries
Summary: Regina Rexx runtime libraries.

%description -n %{libname}
Regina is an implementation of a Rexx interpreter, compliant with
the ANSI Standard for Rexx (1996). It is also available on several other
operating systems.

%package -n %{develname}
Provides: %{name}-devel 
Requires: %{libname}-%{version}
Group: Development/Libraries
Summary: Regina Rexx development libraries and header file.

%description -n %{develname}
Regina is an implementation of a Rexx interpreter, compliant with
the ANSI Standard for Rexx (1996).  It is also available on several other
operating systems.

%prep
%setup -n %{oname}-%{version}

%build

./configure --prefix=/usr
 
make 

%install
rm -rf %{buildroot}
%makeinstall_std 

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/
mv $RPM_BUILD_ROOT/usr/etc/rc.d/init.d/rxstack \
$RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/rxstack

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}



%post -n %libname
/sbin/ldconfig



%postun -n %libname
/sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc README.* BUGS COPYING-LIB HACKERS.txt
%{_sysconfdir}/rc.d/init.d/rxstack
%{_bindir}/%{name}
%{_bindir}/rexx
%{_bindir}/rxqueue
%{_bindir}/rxstack
%{_mandir}/man1/*
%{_datadir}/%{name}


%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libregutil.so
%{_libdir}/librxtest1.so
%{_libdir}/librxtest2.so
%{_libdir}/libregina.so.3
%{_libdir}/libregina.so.3.7


%files -n %{develname}
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_includedir}/*.h
%{_mandir}/man1/regina-config.1*
%{_libdir}/libregina.a
%{_libdir}/libregina.so


%changelog
* Tue May 07 2013 Ken <lxgator at gmail.com>  3.7-1pclos2013
- initial build


